javax.el

## Class BeanELResolver.BeanProperties

- java.lang.Object
- - javax.el.BeanELResolver.BeanProperties

Enclosing class:
  BeanELResolver

    protected static final class BeanELResolver.BeanProperties
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`BeanELResolver.BeanProperties(java.lang.Class<?> type)`

### Method Summary

Methods
`BeanELResolver.BeanProperty` `getBeanProperty(java.lang.String name)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BeanELResolver.BeanProperties

    public BeanELResolver.BeanProperties(java.lang.Class<?> type)
                                  throws ELException

Throws:
  `ELException`

### Method Detail

#### getBeanProperty

    public BeanELResolver.BeanProperty getBeanProperty(java.lang.String name)